Package Details: split2flac-git 132.9e5f019-1

Git Clone URL: https://aur.archlinux.org/split2flac-git.git (read-only)
Package Base: split2flac-git
Description: Split flac/ape/wv/wav + cue sheet into separate tracks. Git version.
Upstream URL: https://github.com/ftrvxmtrx/split2flac
Licenses: MIT
Conflicts: split2flac
Submitter: ftrvxmtrx
Maintainer: graysky
Last Packager: graysky
Votes: 53
Popularity: 0.040824
First Submitted: 2012-01-17 19:10
Last Updated: 2016-02-17 18:59

Dependencies (21)

Required by (0)

Sources (1)

Latest Comments

solar commented on 2016-02-17 17:10

if you've got "ERROR: url should not be an array",

that's a fix:

-url=("https://github.com/ftrvxmtrx/split2flac")
+url="https://github.com/ftrvxmtrx/split2flac"

graysky commented on 2014-01-06 21:51

Done, thanks for the heads-up.

diffycat commented on 2014-01-06 19:08

Please, add 'ttaenc' to optdepends. See https://github.com/ftrvxmtrx/split2flac/pull/9 for details.

graysky commented on 2013-10-21 21:11

Done.

intelfx commented on 2013-10-21 14:55

Maybe pkgver() could be changed to emit directly "$(git rev-list --count HEAD).$(git describe --always)"? Just as per guidelines.

graysky commented on 2013-09-17 19:46

Done, thanks for the suggestion.

diffycat commented on 2013-09-16 19:55

@graysky

Please, put 'split2flac-bash-completion.sh' to '/usr/share/bash-completion/completions/' directory. And in split2flac-git too.

Anonymous comment on 2012-07-28 00:23

Used flacon, but this script handles cue files better, and provides more error messages.

giowck commented on 2012-02-13 22:53

Great software thanks for this package

graysky commented on 2012-01-19 00:59

Got it... Why disown a git package? Pretty low maintainance, no?

graysky commented on 2012-01-19 00:16

I'm on it

xyproto commented on 2012-01-18 23:51

Merged in split2flac-hg to split2flac-git after a request on aur-general. As split2flac-hg has been maintained since 2009 and has the majority of votes (50 vs 4) and comments, and the packages has been merged because of the developer changing VCS, I'm not sure who should maintain this package, so I panic-disowned it. Hope that's okay. :P Good luck to the next maintainer with further maintainership of this package.

notorca commented on 2012-01-17 21:49

Please add split2flac-hg to 'conflicts' list in PKGBUILD.

graysky commented on 2012-01-17 19:34

@op - probably want to post the aur-general@archlinux.org and ask that this package gets removed

ftrvxmtrx commented on 2012-01-17 19:15

Project development moved to github, so I've uploaded a new pkgbuild -- http://aur.archlinux.org/packages.php?ID=55880
Sorry for any inconvenience.

graysky commented on 2012-01-14 00:57

Here are the last few lines of the PKGBUILD that contains my suggestions:

install -Dm755 ${srcdir}/${_hgrepo}/split2flac.sh ${pkgdir}/usr/bin/split2flac
cd ${pkgdir}/usr/bin
ln -s split2flac ${pkgdir}/usr/bin/split2mp3
ln -s split2flac ${pkgdir}/usr/bin/split2ogg
ln -s split2flac ${pkgdir}/usr/bin/split2m4a
ln -s split2flac ${pkgdir}/usr/bin/split2wav

graysky commented on 2012-01-14 00:35

This is a great util. Thank you for packaging it.
Two suggestions

1) Drop the .sh extension on the script so it just installs to /usr/bin/split2flac
2) Add symlinks per upstream's suggestion to allow for the different modes

Example from http://code.google.com/p/split2flac

ln -s $DIR/split2flac.sh $DIR/split2mp3
ln -s $DIR/split2flac.sh $DIR/split2ogg
ln -s $DIR/split2flac.sh $DIR/split2m4a
ln -s $DIR/split2flac.sh $DIR/split2wav

graysky commented on 2012-01-14 00:04

This is a great util. Thank you for packaging it. One suggestion: drop the .sh extension on the script. Thus:

install -Dm755 ${srcdir}/${_hgrepo}/split2flac.sh ${pkgdir}/usr/bin/split2flac.sh

becomes

install -Dm755 ${srcdir}/${_hgrepo}/split2flac.sh ${pkgdir}/usr/bin/split2flac

ftrvxmtrx commented on 2011-02-01 10:00

Please add flake (which encodes much faster than standart "flac" tool) to optdepends. Thanks.

ftrvxmtrx commented on 2011-01-25 01:09

Please add mutagen to optdepends. Thanks!

ftrvxmtrx commented on 2011-01-21 16:11

Please add iconv, lame, id3lib and vorbis-tools to optdepends.

misc commented on 2010-11-27 20:52

For some reason changes appear to have been inserted in a botched way, i. e. generating errors. I replaced the content of the .sh file with the one @ google code, now it's working again.

misc commented on 2010-11-27 20:51

Current output:

/usr/bin/split2flac.sh: Line 68: Syntax error at unexpected word `<<<'
/usr/bin/split2flac.sh: Line 68: `<<<<<<< local'

misc commented on 2010-11-27 20:48

Current output:

/usr/bin/split2flac.sh: Line 68: Syntax error at unexpected word `<<<'
/usr/bin/split2flac.sh: Line 68: `<<<<<<< local'

ftrvxmtrx commented on 2010-11-10 21:45

Version is now being updated on every commit, so the 'sed -i...' line should be removed.

Anonymous comment on 2010-11-05 19:43

Please, change flac to optdepends, and add other optdepends from offsite:
http://code.google.com/p/split2flac/

ftrvxmtrx commented on 2010-08-22 23:29

Please add mp3gain, aacgain and vorbisgain to optdepends. Thanks!

alium commented on 2010-08-05 06:57

best tool!!